import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
import {JVxeTypes,JVxeColumn} from '/@/components/jeecg/JVxeTable/types'
import {useGlobSetting} from "@/hooks/setting";
//列表数据
export const columns: BasicColumn[] = [
   {
    title: '站点id',
    align:"center",
    dataIndex: 'siteId_dictText'
   },
   {
    title: '页面路径',
    align:"center",
    dataIndex: 'url'
   },
   {
    title: '询盘的板式',
    align:"center",
    dataIndex: 'inquiryType_dictText'
   },
   {
    title: 'ai检测分数',
    align:"center",
    dataIndex: 'reportScore'
   },
   {
    title: 'ai检测报告地址',
    align:"center",
    dataIndex: 'reportLink'
   },
   {
    title: 'showlist标题',
    align:"center",
    dataIndex: 'tdkTitle'
   },
   {
    title: 'showlist描述',
    align:"center",
    dataIndex: 'tdkDescription'
   },
   {
    title: 'showlist关键词',
    align:"center",
    dataIndex: 'tdkKeywords'
   },
   {
    title: '同步状态',
    align:"center",
    dataIndex: 'status_dictText'
   },
   {
    title: '创建日期',
    align:"center",
    dataIndex: 'createTime'
   },
   {
    title: '更新日期',
    align:"center",
    dataIndex: 'updateTime'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '站点id',
    field: 'siteId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"okki_site,company_name,site_id"
     },
  },
  {
    label: '页面路径',
    field: 'url',
    component: 'Input',
  },
  {
    label: '结构化数据',
    field: 'jsonLd',
    component: 'JEditor',
  },
  {
    label: '询盘的板式',
    field: 'inquiryType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"inquiry_type"
     },
  },
  {
    label: 'ai检测分数',
    field: 'reportScore',
    component: 'InputNumber',
  },
  {
    label: 'ai检测报告地址',
    field: 'reportLink',
    component: 'InputNumber',
  },
  {
    label: '亮点标题',
    field: 'highlightTitle',
    component: 'Input',
  },
  {
    label: '亮点简介',
    field: 'highlightContent',
    component: 'JEditor',
  },
  {
    label: '亮点布局文字对齐方式',
    field: 'highlightLayoutAlignment',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"layout_alignment"
     },
  },
  {
    label: '亮点布局每行列数',
    field: 'highlightLayoutColumnsPerRow',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"layout_columns_per_row"
     },
  },
  {
    label: '优势标题',
    field: 'advantageTitle',
    component: 'Input',
  },
  {
    label: '优势内容',
    field: 'advantageContent',
    component: 'JEditor',
  },
  {
    label: '优势布局文字对齐方式',
    field: 'advantageLayoutAlignment',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"layout_alignment"
     },
  },
  {
    label: '优势布局每行列数',
    field: 'advantageLayoutColumnsPerRow',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"layout_columns_per_row"
     },
  },
  {
    label: '关键词标题',
    field: 'keywordsTitle',
    component: 'Input',
  },
  {
    label: '关键词系列标题',
    field: 'keywordsSeriesTitle',
    component: 'Input',
  },
  {
    label: '关键词系列排版结构',
    field: 'keywordsSeriesLayoutType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"layout_type"
     },
  },
  {
    label: '评价标题',
    field: 'reviewTitle',
    component: 'Input',
  },
  {
    label: '评价字幕',
    field: 'reviewSubtitles',
    component: 'Input',
  },
  {
    label: '评价布局文字对齐方式',
    field: 'reviewLayoutAlignment',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"layout_alignment"
     },
  },
  {
    label: '评价布局每行列数',
    field: 'reviewLayoutColumnsPerRow',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"layout_columns_per_row"
     },
  },
  {
    label: 'faq标题',
    field: 'faqTitle',
    component: 'Input',
  },
  {
    label: 'faq字幕',
    field: 'faqSubtitles',
    component: 'Input',
  },
  {
    label: 'showlist标题',
    field: 'tdkTitle',
    component: 'Input',
  },
  {
    label: 'showlist描述',
    field: 'tdkDescription',
    component: 'Input',
  },
  {
    label: 'showlist关键词',
    field: 'tdkKeywords',
    component: 'Input',
  },
	// TODO 主键隐藏字段，目前写死为ID
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];
//子表单数据
export const okkiOverviewFormSchema: FormSchema[] = [
  {
    label: '概览类型',
    field: 'overviewType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"overview_type"
     },
  },
  {
    label: '概览标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '概览内容',
    field: 'content',
    component: 'InputTextArea',
  },
  {
    label: '概览图片链接',
    field: 'pic',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '按钮文字',
    field: 'buttonName',
    component: 'Input',
  },
  {
    label: '按钮跳转链接',
    field: 'buttonUrl',
    component: 'Input',
  },
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];
export const okkiProductListFormSchema: FormSchema[] = [
  {
    label: '产品列表类型',
    field: 'productListType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"product_list_type"
     },
  },
  {
    label: '标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '字幕',
    field: 'subtitles',
    component: 'Input',
  },
  {
    label: '商品pid',
    field: 'pidList',
    component: 'Input',
  },
  {
    label: '商品分类sid',
    field: 'sid',
    component: 'InputNumber',
  },
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];
export const okkiRecommendedProductsFormSchema: FormSchema[] = [
  {
    label: '类型',
    field: 'productListType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"product_list_type"
     },
  },
  {
    label: '标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '字幕',
    field: 'subtitles',
    component: 'Input',
  },
  {
    label: '商品pid',
    field: 'pidList',
    component: 'Input',
  },
  {
    label: '商品分类sid',
    field: 'sid',
    component: 'InputNumber',
  },
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];
export const okkiShowlistBlogFormSchema: FormSchema[] = [
  {
    label: '标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '文字对齐方式',
    field: 'layoutAlignment',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"layout_alignment"
     },
  },
  {
    label: '每行列数',
    field: 'layoutColumnsPerRow',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"layout_columns_per_row"
     },
  },
  {
    label: '博客列表',
    field: 'blogList',
    component: 'InputTextArea',
  },
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];
//子表表格配置
export const okkiHighlightColumns: JVxeColumn[] = [
    {
      title: '组件标题',
      key: 'blockTitle',
      type: JVxeTypes.input,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
    {
      title: '组件内容',
      key: 'blockContent',
      type: JVxeTypes.textarea,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
    {
      title: '组件图片',
      key: 'blockPic',
      type: JVxeTypes.image,
      token:true,
      responseName:"message",
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
    {
      title: '按钮文字',
      key: 'buttonName',
      type: JVxeTypes.input,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
    {
      title: '按钮跳转链接',
      key: 'buttonUrl',
      type: JVxeTypes.input,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
  ]
export const okkiAdvantageColumns: JVxeColumn[] = [
    {
      title: '组件标题',
      key: 'blockTitle',
      type: JVxeTypes.input,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
    {
      title: '组件内容',
      key: 'blockContent',
      type: JVxeTypes.textarea,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
    {
      title: '组件图片',
      key: 'blockPic',
      type: JVxeTypes.image,
      token:true,
      responseName:"message",
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
    {
      title: '按钮文字',
      key: 'buttonName',
      type: JVxeTypes.input,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
    {
      title: '按钮跳转链接',
      key: 'buttonUrl',
      type: JVxeTypes.input,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
  ]
export const okkiKeywordsColumns: JVxeColumn[] = [
    {
      title: '关键词名',
      key: 'keywordListName',
      type: JVxeTypes.textarea,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
    {
      title: '关键词链接',
      key: 'keywordListLinkUrl',
      type: JVxeTypes.input,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
  ]
export const okkiReviewColumns: JVxeColumn[] = [
    {
      title: '评价内容',
      key: 'reviewListContent',
      type: JVxeTypes.input,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
    {
      title: '头像',
      key: 'reviewListAvatarUrl',
      type: JVxeTypes.image,
      token:true,
      responseName:"message",
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
    {
      title: '评价人',
      key: 'reviewListName',
      type: JVxeTypes.input,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
  ]
export const okkiFaqColumns: JVxeColumn[] = [
    {
      title: '问题',
      key: 'question',
      type: JVxeTypes.input,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
    {
      title: '答案',
      key: 'answer',
      type: JVxeTypes.input,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
  ]


// 高级查询数据
export const superQuerySchema = {
  siteId: {title: '站点id',order: 0,view: 'number', type: 'number',dictTable: "okki_site", dictCode: 'site_id', dictText: 'company_name',},
  url: {title: '页面路径',order: 1,view: 'text', type: 'string',},
  inquiryType: {title: '询盘的板式',order: 3,view: 'number', type: 'number',},
  reportScore: {title: 'ai检测分数',order: 4,view: 'number', type: 'number',},
  reportLink: {title: 'ai检测报告地址',order: 5,view: 'number', type: 'number',},
  tdkTitle: {title: 'showlist标题',order: 23,view: 'text', type: 'string',},
  tdkDescription: {title: 'showlist描述',order: 24,view: 'text', type: 'string',},
  tdkKeywords: {title: 'showlist关键词',order: 25,view: 'text', type: 'string',},
  status: {title: '同步状态',order: 26,view: 'number', type: 'number',},
  createTime: {title: '创建日期',order: 27,view: 'datetime', type: 'string',},
  updateTime: {title: '更新日期',order: 28,view: 'datetime', type: 'string',},
  //子表高级查询
  okkiOverview: {
    title: '概览',
    view: 'table',
    fields: {
        overviewType: {title: '概览类型',order: 0,view: 'number', type: 'number',},
        title: {title: '概览标题',order: 1,view: 'text', type: 'string',},
        content: {title: '概览内容',order: 2,view: 'textarea', type: 'string',},
        pic: {title: '概览图片链接',order: 3,view: 'image', type: 'string',},
        buttonName: {title: '按钮文字',order: 4,view: 'text', type: 'string',},
        buttonUrl: {title: '按钮跳转链接',order: 5,view: 'text', type: 'string',},
    }
  },
  okkiProductList: {
    title: '产品',
    view: 'table',
    fields: {
        productListType: {title: '产品列表类型',order: 0,view: 'number', type: 'number',},
        title: {title: '标题',order: 1,view: 'text', type: 'string',},
        subtitles: {title: '字幕',order: 2,view: 'text', type: 'string',},
        pidList: {title: '商品pid',order: 3,view: 'text', type: 'string',},
        sid: {title: '商品分类sid',order: 4,view: 'number', type: 'number',},
    }
  },
  okkiHighlight: {
    title: '亮点',
    view: 'table',
    fields: {
        blockTitle: {title: '组件标题',order: 0,view: 'text', type: 'string',},
        blockContent: {title: '组件内容',order: 1,view: 'textarea', type: 'string',},
        blockPic: {title: '组件图片',order: 2,view: 'image', type: 'string',},
        buttonName: {title: '按钮文字',order: 3,view: 'text', type: 'string',},
        buttonUrl: {title: '按钮跳转链接',order: 4,view: 'text', type: 'string',},
    }
  },
  okkiAdvantage: {
    title: '优势',
    view: 'table',
    fields: {
        blockTitle: {title: '组件标题',order: 0,view: 'text', type: 'string',},
        blockContent: {title: '组件内容',order: 1,view: 'textarea', type: 'string',},
        blockPic: {title: '组件图片',order: 2,view: 'image', type: 'string',},
        buttonName: {title: '按钮文字',order: 3,view: 'text', type: 'string',},
        buttonUrl: {title: '按钮跳转链接',order: 4,view: 'text', type: 'string',},
    }
  },
  okkiRecommendedProducts: {
    title: '推荐商品列表',
    view: 'table',
    fields: {
        productListType: {title: '类型',order: 0,view: 'number', type: 'number',},
        title: {title: '标题',order: 1,view: 'text', type: 'string',},
        subtitles: {title: '字幕',order: 2,view: 'text', type: 'string',},
        pidList: {title: '商品pid',order: 3,view: 'text', type: 'string',},
        sid: {title: '商品分类sid',order: 4,view: 'number', type: 'number',},
    }
  },
  okkiKeywords: {
    title: '关键词',
    view: 'table',
    fields: {
        keywordListName: {title: '关键词名',order: 0,view: 'textarea', type: 'string',},
        keywordListLinkUrl: {title: '关键词链接',order: 1,view: 'text', type: 'string',},
    }
  },
  okkiReview: {
    title: '评价',
    view: 'table',
    fields: {
        reviewListAvatarUrl: {title: '头像',order: 1,view: 'image', type: 'string',},
        reviewListName: {title: '评价人',order: 2,view: 'text', type: 'string',},
    }
  },
  okkiFaq: {
    title: '常见问题',
    view: 'table',
    fields: {
        question: {title: '问题',order: 0,view: 'text', type: 'string',},
        answer: {title: '答案',order: 1,view: 'text', type: 'string',},
    }
  },
  okkiShowlistBlog: {
    title: '博客',
    view: 'table',
    fields: {
        title: {title: '标题',order: 0,view: 'text', type: 'string',},
        layoutAlignment: {title: '文字对齐方式',order: 1,view: 'number', type: 'number',},
        layoutColumnsPerRow: {title: '每行列数',order: 2,view: 'number', type: 'number',},
        blogList: {title: '博客列表',order: 3,view: 'textarea', type: 'string',},
    }
  },
};

/**
* 流程表单调用这个方法获取formSchema
* @param param
*/
export function getBpmFormSchema(_formData): FormSchema[]{
// 默认和原始表单保持一致 如果流程中配置了权限数据，这里需要单独处理formSchema
  return formSchema;
}
